Bug 273385

Summary: JJ: Provide a shortcut for switching focus between split views
Product: kdevelop Reporter: Shaun Reich <sreich>
Component: generalAssignee: kdevelop-bugs-null
Status: RESOLVED FIXED    
Severity: wishlist CC: akshvi, bplusplus, dnk1618, marius.coto, nautibugakshay, oss
Priority: HI Keywords: junior-jobs
Version: unspecified   
Target Milestone: 4.2.0   
Platform: Unlisted Binaries   
OS: Linux   
Latest Commit: Version Fixed In:

Description Shaun Reich 2011-05-16 06:20:04 UTC
Version:           unspecified (using Devel) 
OS:                Linux

Hello,

It would be great if KDevelop would be made to provide a shortcut for switching the focus between split views. This way, especially when combined with Vim mode, one doesn't have to even think about the mouse. Makes it easy for switching between documents. Something like Ctrl-Tab to switch back and forth, except for split views.

Reproducible: Didn't try
Comment 1 Milian Wolff 2011-05-29 00:20:41 UTC
yep indeed
Comment 2 Gerald Senarclens de Grancy 2012-02-03 17:22:14 UTC
+1 - especially b/c there are shortcuts for creating the splits (Ctrl+Shift+T, Ctrl+Shift+L) which is done rather rarely in comparison to switching between them...
Comment 3 Gerald Senarclens de Grancy 2012-02-03 17:35:38 UTC
btw - Kate offers a shortcut for this ("next split view" -> [F8], "previous split view" -> [Shift]+[F8])
Comment 4 Marius Cotofana 2013-02-11 22:15:23 UTC
I will try to fix this. But this is my first bug-fix, so any help is appreciated. Thx.
Comment 5 Kevin Funk 2013-02-11 22:21:27 UTC
Marius, feel free to join us on IRC or (even better) send a mail to kdevelop-develop@kde.org about your issues so people may help you.

(also, please carefully read: http://kdevelop.org/contribute-kdevelop).
Your help is appreciated!
Comment 6 Marius Cotofana 2013-02-14 15:17:29 UTC
I had some trouble during the build process, so I tried to send an email to the list you gave me ( kdevelop-develop@kde.org), but I get the following error: "Recipient address rejected: User unknown in virtual alias table."

Do you have any idea what the problem may be ?
Comment 7 Kevin Funk 2013-02-14 15:39:34 UTC
Errrm. kdevelop-devel@kde.org, it is. Sorry.

You can also join #kdevelop on Freenode, for a much quicker feedback-loop.
Comment 8 Meenakshi Khorana 2013-10-15 09:36:02 UTC
I am trying to implement the same. Can someone please confirm which shortcut (key combinations) should be used for moving to previous split view and next split view.
Comment 9 bplusplus 2013-10-15 15:39:44 UTC
Seeing as the original feature request was seemingly by someone using the vim-mode, vim ought to be a good starting point (and one with which I definitely agree!)

In vim, jumping between split views is not a next/previous type of thing, it's a relative direction. E.g. you can jump to the view above the one your cursor is in, or the one to the right, and so on. The default shortcut for this in vim is '^w' (ctrl+w) followed by a direction ('h', 'j', 'k', or 'l' for left, down, up, or right, respectively). Of course, vim-mode is not the default, so you may want to go with something else--just remember to make it configurable!
Comment 10 Kevin Funk 2013-10-17 21:45:55 UTC
Git commit a748069dcb8377d162c83a757056e8fc0fa88514 by Kevin Funk, on behalf of Meenakshi Khorana.
Committed on 17/10/2013 at 19:20.
Pushed by kfunk into branch 'master'.

Provide a shortcut for switching split views

Provided a shortcut (key combination as well as on menu option)
for switching between split views. Implemented the same by providing
shortcut (Ctrl + Shift + P for moving to previous split and
Ctrl + Shift + N for moving to next split) along with menu options in
Window drop-down menu
REVIEW: 113264

M  +39   -0    shell/mainwindow_actions.cpp
M  +16   -0    shell/mainwindow_p.cpp
M  +3    -0    shell/mainwindow_p.h

http://commits.kde.org/kdevplatform/a748069dcb8377d162c83a757056e8fc0fa88514
Comment 11 Kevin Funk 2013-10-17 21:46:50 UTC
Git commit 12a14e2fcaaf3cca86bea25fa17a23e909ffe004 by Kevin Funk, on behalf of Meenakshi Khorana.
Committed on 17/10/2013 at 19:21.
Pushed by kfunk into branch 'master'.

Provide a shortcut for switching split views
REVIEW: 113265

M  +2    -0    app/kdevelopui.rc

http://commits.kde.org/kdevelop/12a14e2fcaaf3cca86bea25fa17a23e909ffe004